<?php

namespace ViartasThemes\FlorialLanding\Mails;

use Illuminate\Bus\Queueable;
use Illuminate\Contracts\Queue\ShouldQueue;
use Illuminate\Mail\Mailable;
use Illuminate\Queue\SerializesModels;

class ContactForm extends Mailable implements ShouldQueue
{
    use Queueable, SerializesModels;

    public function __construct(
        public string $full_name,
        public string $phone,
        public string $email,
        public string $messageText,
        public string $messageHtml
    ) {}

    public function build()
    {
        return $this->subject('Nauja užklausa iš kontaktų formos')
            ->replyTo($this->email, $this->full_name)
            ->html($this->messageHtml);
    }
}
